Name: installer-hpc
Version: 0.4
Release: alt8

Summary: Installer files specific to HPC project
License: GPL
Group: System/Configuration/Other

Packager: Stanislav Ievlev <inger@altlinux.org>

Source: %name-%version.tar

BuildArch: noarch


BuildPreReq: alterator >= 3.1

BuildRequires: alterator rpm-devel

%description
Installer files specific to HPC project

%package stage2
Summary: Installer stage2
License: GPL
Group: System/Configuration/Other
Requires: %name = %version-%release
Requires: libshell
Requires: installer-stage2
#features
Requires: installer-feature-pxeboot-stage2
#modules
Requires: alterator-sysconfig
Requires: alterator-notes
Requires: alterator-tzone openntpd
Requires: alterator-datetime
Requires: alterator-vm
Requires: x-cursor-theme-jimmac

%description stage2
Installer files specific to HPC project

%package stage3
Summary: Installer stage3
License: GPL
Group: System/Configuration/Other
Requires: %name = %version-%release
Requires: installer-stage3
#modules
Requires: alterator-lilo
Requires: alterator-users
Requires: alterator-root
Requires: alterator-pkg
Requires: alterator-net-eth dhcpcd
Requires: alterator-net-general
Requires: alterator-hpc >= 0.5-alt1
#postinstall hacks
Requires: alterator-auth pam_ldap
Requires: alterator-nsswitch nss_ldap

%description stage3
Installer files specific to HPC project

%prep
%setup -q

%install
%makeinstall

%files

%files stage2
%_datadir/install2/installer-steps
%_datadir/install2/postinstall.d/*
%_datadir/install2/steps/*

%files stage3

%changelog
* Fri Oct 17 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt8
- fix icons for hpc steps

* Wed Oct 15 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt7
- fix typo in step file

* Tue Oct 14 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt6
- more scripts improvements

* Mon Oct 13 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt5
- remove unused files

* Wed Jun 25 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt4
- remove ldap setup

* Wed Apr 09 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt3
- fix summary & description

* Tue Apr 08 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt2
- use installer-feature-pxeboot-stage2 instead of own script

* Mon Apr 07 2008 Stanislav Ievlev <inger@altlinux.org> 0.4-alt1
- update tunings:
   * use libshell
   * use control for portmap
   * doesn't setup nsswitch and pam to ldap mode
   * doesn't make mkai profile
   * remove ganglia tuning

* Mon Mar 03 2008 Stanislav Ievlev <inger@altlinux.org> 0.3-alt2
- use alterator-notes
- update to latest cl-user-tools

* Tue Feb 26 2008 Stanislav Ievlev <inger@altlinux.org> 0.3-alt1
- replace 'storage setup' with 'general node settings'
- remove syslog postinstall hack

* Thu Feb 21 2008 Stanislav Ievlev <inger@altlinux.org> 0.2-alt10
- remove help for lilo

* Wed Jan 30 2008 Stanislav Ievlev <inger@altlinux.org> 0.2-alt9
- remove help for kbd
- add mpi selection step

* Mon Jan 28 2008 Stanislav Ievlev <inger@altlinux.org> 0.2-alt8
- remove help for vm

* Wed Jan 23 2008 Stanislav Ievlev <inger@altlinux.org> 0.2-alt7
- remove /usr/share/alterator/help/license.html to avoid conflict with new alterator-license
- remove /usr/share/alterator/help/root.html to avoid conflict with new alterator-root

* Mon Jan 21 2008 Stanislav Ievlev <inger@altlinux.org> 0.2-alt6
- add openmpi btl tuning
- use, more modern help files installation
- made package noarch

* Wed Dec 05 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt5
- add step to re-enable copying from cdrom

* Thu Oct 25 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt4
- switch to modern pkg step

* Fri Oct 12 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt3
- use default finish step

* Tue Oct 09 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt2
- add help

* Fri Oct 05 2007 Stanislav Ievlev <inger@altlinux.org> 0.2-alt1
- new profile system

* Thu Oct 04 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt9
- language is a real step now

* Thu Sep 27 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt8
- add syslog-ng tuning

* Tue Sep 25 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt7
- use HPC specific finish step

* Thu Sep 20 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt6
- use language step from separate package

* Wed Sep 19 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt5
- use license step from separate package

* Fri Sep 14 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt4
- remove conflict between stages

* Mon Sep 10 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt3
- add tuning of PXE packages

* Mon Sep 03 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2
- add step to setup openldap

* Tue Aug 28 2007 Stanislav Ievlev <inger@altlinux.org> 0.1-alt1
- Initial build
